
<div id="app">

  <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <ul class="navbar-nav mr-auto" routerLinkActive="active">
      <li class="nav-item">
        <a href="/home" class="nav-link" routerLink="home">Home</a>
      </li>
      <li class="nav-item">
        <a href="/results" class="nav-link" routerLink="results">Results</a>
      </li>
      <li class="nav-item">
        <a href="/add-catch" class="nav-link" *ngIf="showForParticipant || showForAdmin" routerLink="add-catch">Add catch</a>
      </li>
      <li class="nav-item">
        <a href="/fishing-zone" class="nav-link" routerLink="fishing-zone">Fishing zone</a>
      </li>
      <li class="nav-item">
        <a href="/information" class="nav-link" routerLink="information">Information</a>
      </li>
      <li class="nav-item">
        <a href="/user" class="nav-link" *ngIf="showForAdmin" routerLink="user">Users management</a>
      </li>
    </ul>
    <ul class="navbar-nav ml-auto" *ngIf="!isLoggedIn">
      <li class="nav-item">
        <a href="/register" class="nav-link" routerLink="register">Sign Up</a>
      </li>
      <li class="nav-item">
        <a href="/login" class="nav-link" routerLink="login">Login</a>
      </li>
    </ul>

    <ul class="navbar-nav ml-auto" *ngIf="isLoggedIn">
      <li class="nav-item">
        <a href="/profile" class="nav-link" routerLink="profile">{{ username }}</a>
      </li>
      <li class="nav-item">
        <a href class="nav-link" (click)="logout()">LogOut</a>
      </li>
    </ul>
  </nav>
  <div class="container">
      <router-outlet></router-outlet>
  </div>
</div>
